diff mbox series

[FFmpeg-devel] SDL2 verison for pkg_config fallback

Message ID 997463531.2155665.1655649409798@yahoo.com
State New
Headers show
Series [FFmpeg-devel] SDL2 verison for pkg_config fallback | expand

Checks

Context Check Description
andriy/commit_msg_x86 warning The first line of the commit message must start with a context terminated by a colon and a space, for example "lavu/opt: " or "doc: ".
andriy/commit_msg_armv7_RPi4 warning The first line of the commit message must start with a context terminated by a colon and a space, for example "lavu/opt: " or "doc: ".
andriy/make_x86 success Make finished
andriy/make_fate_x86 success Make fate finished
andriy/make_armv7_RPi4 success Make finished
andriy/make_fate_armv7_RPi4 success Make fate finished

Commit Message

dvhh June 17, 2022, 4:46 p.m. UTC
pkg_config fallback for SDL2 use 2.1.0 as max (excluded) version
where the pkg_config specify 3.0.0
Correcting fallback version to be in line with the pkg_config version

Signed-off-by: dvhh <dvhh@yahoo.com>
---
 configure | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comments

Timo Rothenpieler June 19, 2022, 3:46 p.m. UTC | #1
On 17.06.2022 18:46, dvhh wrote:
> pkg_config fallback for SDL2 use 2.1.0 as max (excluded) version
> where the pkg_config specify 3.0.0
> Correcting fallback version to be in line with the pkg_config version

Why? Any version the new versioning scheme will have a pkg-config file.
dvhh June 19, 2022, 5:57 p.m. UTC | #2
On Sun, 19 Jun 2022 17:46:58 +0200
Timo Rothenpieler <timo@rothenpieler.org> wrote:

> On 17.06.2022 18:46, dvhh wrote:
> > pkg_config fallback for SDL2 use 2.1.0 as max (excluded) version
> > where the pkg_config specify 3.0.0
> > Correcting fallback version to be in line with the pkg_config version
> 
> Why? Any version the new versioning scheme will have a pkg-config file.

I am cross-compiling for Windows aarch64 and noticed the discrepancy, pkg_config does not appear to be an option in that case.

this is what I got from the log:
-------------------
test_pkg_config sdl2 sdl2 >= 2.0.1 sdl2 < 3.0.0 SDL_events.h SDL_PollEvent
false --exists --print-errors sdl2 >= 2.0.1 sdl2 < 3.0.0
-------------------
Martin Storsjö June 19, 2022, 8:03 p.m. UTC | #3
On Mon, 20 Jun 2022, dvhh wrote:

> On Sun, 19 Jun 2022 17:46:58 +0200
> Timo Rothenpieler <timo@rothenpieler.org> wrote:
>
>> On 17.06.2022 18:46, dvhh wrote:
>>> pkg_config fallback for SDL2 use 2.1.0 as max (excluded) version
>>> where the pkg_config specify 3.0.0
>>> Correcting fallback version to be in line with the pkg_config version
>>
>> Why? Any version the new versioning scheme will have a pkg-config file.
>
> I am cross-compiling for Windows aarch64 and noticed the discrepancy, pkg_config does not appear to be an option in that case.
>
> this is what I got from the log:
> -------------------
> test_pkg_config sdl2 sdl2 >= 2.0.1 sdl2 < 3.0.0 SDL_events.h SDL_PollEvent
> false --exists --print-errors sdl2 >= 2.0.1 sdl2 < 3.0.0
> -------------------

Instead of an aarch64-w64-mingw32-pkg-config, you can configure with 
--pkg-config=pkg-config, and set PKG_CONFIG_LIBDIR=<your/lib/pkgconfig>.

That said, this patch seems like a consistent followup to 
e5163b1d34381a3319214a902ef1df923dd2eeba - so either we apply this, or 
decide to scrap the non-pkgconfig fallback for this library. (Applying 
this patch in the meantime probably doesn't hurt, while deciding on 
whether pkg-config can be required here.)

// Martin
diff mbox series

Patch

diff --git a/configure b/configure
index 3dca1c4bd3..6ecacbb1bb 100755
--- a/configure
+++ b/configure
@@ -6750,7 +6750,7 @@  if enabled sdl2; then
         sdl2_cflags=$("${SDL2_CONFIG}" --cflags)
         sdl2_extralibs=$("${SDL2_CONFIG}" --libs)
         test_cpp_condition SDL.h "(SDL_MAJOR_VERSION<<16 | SDL_MINOR_VERSION<<8 | SDL_PATCHLEVEL) >= 0x020001" $sdl2_cflags &&
-        test_cpp_condition SDL.h "(SDL_MAJOR_VERSION<<16 | SDL_MINOR_VERSION<<8 | SDL_PATCHLEVEL) < 0x020100" $sdl2_cflags &&
+        test_cpp_condition SDL.h "(SDL_MAJOR_VERSION<<16 | SDL_MINOR_VERSION<<8 | SDL_PATCHLEVEL) < 0x030000" $sdl2_cflags &&
         check_func_headers SDL_events.h SDL_PollEvent $sdl2_extralibs $sdl2_cflags &&
             enable sdl2
     fi